Skip to main content

Delete a Registry

DELETE/v2/registries/{registryId}
API version
v2
Request method
DELETE
Operation ID
container-delete-registry

Request​

  • registryIdstring (uuid)required

    ID if the Registry to be deleted.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/registries/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.deleteRegistry({
"registryId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\DeleteRegistry\DeleteRegistryRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeleteRegistryRequest(
registryId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->container()->deleteRegistry($request);

var_dump($response->getBody();

On this page